Developers
API ReferenceBoard Column

Updates the BoardColumn resource

PATCH
/project/board-columns/{id}

Updates the BoardColumn resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

BoardColumn identifier

Request Body

The updated BoardColumn resource

  1. body
name?string
Lengthlength <= 100
decorator?string
Value in"#78909c""#2490e3""#44a069""#987284""#d32f2f""#f57f17""#003366""#00bfa5""#ee7674""#9c27b0"
status?string
Value in"todo""in-progress""done"

Response Body

BoardColumn resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
board?string
Formatuuid
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
decorator?string
Value in"#78909c""#2490e3""#44a069""#987284""#d32f2f""#f57f17""#003366""#00bfa5""#ee7674""#9c27b0"
weight?integer
status?string
Value in"todo""in-progress""done"
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/board-columns/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "board": "a98884d6-3c76-4114-ba9c-216527a5aac1",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "decorator": "#78909c",  "weight": 0,  "status": "todo"}